# Enum Class ForkMode

java.lang.Object
java.lang.Enum<ForkMode>
org.gradle.workers.ForkMode

All Implemented Interfaces:
  `Serializable, Comparable<ForkMode>, Constable`

@Incubating public enum ForkMode extends Enum<ForkMode>
Forking mode for workers.

Since:
  3.5

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
Always fork, aka.
`AUTO`
Let Gradle decide, this is the default.
`NEVER`
Never fork, aka.

## Method Summary

Modifier and Type
Method
Description
`static ForkMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ForkMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTO

public static final ForkMode AUTO
Let Gradle decide, this is the default.

### NEVER

public static final ForkMode NEVER
Never fork, aka. use in-process workers.

### ALWAYS

public static final ForkMode ALWAYS
Always fork, aka. use out-of-process workers.

## Method Details

### values

public static ForkMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ForkMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null